package cz.muni.fi.pb162.exceptions;


/**
 * Toto rozhrani reprezentuje adresar mest a ulic Ceske Republiky.
 * 
 * @author Radek Oslejsek
 * @version 2007-11-01
 */

public interface AddressBook
{
    /**
     * Vrati postovniho dorucovatele, do pod jehoz obvod spada adresat.
     * 
     * @param recipient adresa prijemce
     * @throws BadAddressException pokud dana adresa neexistuje
     * @return postovni dorucovatel, pod ktereho spada adresat
     */
    Mailman checkAddress(String recipient) throws BadAddressException;
}
