package cz.muni.fi.pb162.exceptions;


/**
 * Tato trida predstavuje postu, ktera je zodpovedna za dorucovani dopisu.
 * 
 * @author Radek Oslejsek
 * @version 2007-11-01
 */
public interface PostOffice
{
    /**
     * Zasle doporuceny dopis prislusnemu prijemci. 
     *
     * @param letter doporuceny dopis, ktera ma byt dorucen
     * @throws MailException pokud se z nejakeho duvodu doruceni nezdari
     */
    void deliver(RegisteredLetter letter) throws MailException; 
}
